var LiveFox = {

  constants: function() {

  }, /*

  prefs: {

    openInTab: true,

    getLeagueMatches: true,

    getLeagueWithin: false,

    getLeagueWithinHours: 48,

    username: "",

    friends: ""

  },*/

  showLeague: false,

  liveCount: 0,

  startup: function() {

    var winboxRegister = function(wbList) {

      var winbox;

      var i, len;

      var img;

      for(i=0, len=wbList.length; i<len; i++) {

        winbox=wbList[i];

        img = document.getElementById("imgwinboxshade_"+winbox);

        img.addEventListener('click',  LiveFox.Click.winboxShade, true);

        img.setAttribute("tooltiptext", LiveFox.Label.TOOLTIP.WINDOW.SHADE);

        img.collapsed=false;



        img = document.getElementById("imgwinboxopen_"+winbox);

        img.addEventListener('click',  LiveFox.Click.winboxOpen, true);

        img.setAttribute("tooltiptext", LiveFox.Label.TOOLTIP.WINDOW.OPEN);

        img.collapsed=true;



        document.getElementById("winboxcontent_"+winbox).hidden=false;

        LiveFox.winboxShadeByName("friends");

      }

    };



    LiveFox.Log.start();

  

    netscape.security.PrivilegeManager.enablePrivilege("UniversalBrowserRead");



    document.getElementById("winbox_leaguematches").collapsed=true;

    // Gonzo remove: winboxRegister(["leaguematches","matchlist","friends","addmatch"]);

    winboxRegister(["leaguematches","leaguetable","matchlist","friends","addmatch"]);

    LiveFox.Click.AddButtonListeners();



    LiveFox.prefs = LiveFox.Preferences.get();



    Friends.start();

    LiveFox.Sound.start();

    

    //LiveFox.Test.start();



    LiveFox.Log.debug("loading username and password");

    LiveFox.Log.debug("username: " + LiveFox.prefs.general.username);

    if (LiveFox.prefs.general.username != "") {

      document.getElementById("username").value=LiveFox.prefs.general.username;    

      document.getElementById("security_code").value=LiveFox.Preferences.password.get();

    }

    

  },

  getRecommendedServer: function() {

    HTTP.getRecommendedServer();

  },

  Login: function(username, securitycode){

    if(document.getElementById("save_password").checked) {

      var preferences = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

      preferences.setCharPref("livefox.username", document.getElementById("username").value);

      

      var passwordManager = Components.classes["@mozilla.org/passwordmanager;1"]

            .createInstance(Components.interfaces.nsIPasswordManager);

      passwordManager.removeUser("LiveFox.xpi","username");

      passwordManager.addUser("LiveFox.xpi","username", document.getElementById("security_code").value);    

    };

    Login.HTTP();

  },

  Logout: function() {

    if (Login.login) {

      Logout.HTTP();

    }

  },

  startView: function() {

    Live.startView();

  },

  GetMyData: function() {

    Team.HTTPGetMyData();

  },

  GetLeague: function() {

    League.HTTPGet();

  },

  GetLeagueMatches: function() {

    League.HTTPFixtures();

  },

  GetMyMatch: function() {

    Matches.HTTPGetByTeam(Teams.myTeam.id, Teams.myTeam.youth);

  },

  addFriend: function(teamId) {

    LiveFox.Log.bedug("deprecated: LiveFox.addFriend()");    

    var preferences = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

    var friendsStr="";

    try {

      friendsStr = preferences.getCharPref("livefox.friends");

    } catch(e) {

    };

    if (friendsStr != "") {

      var friends = friendsStr.split(",");

      if(!friends.has(teamId)) {

        friendsStr += ("," + teamId); 

      };

    } else {

      friendsStr = teamId;

    }

    preferences.setCharPref("livefox.friends", friendsStr);

  },

  winboxOpenByName: function(name) {

    document.getElementById("winboxcontent_"+name).collapsed = false;

    document.getElementById("imgwinboxopen_"+name).collapsed = true;

    document.getElementById("imgwinboxshade_"+name).collapsed = false;

  },

  winboxShadeByName: function(name) {

    document.getElementById("winboxcontent_"+name).collapsed = true;

    document.getElementById("imgwinboxopen_"+name).collapsed = false;

    document.getElementById("imgwinboxshade_"+name).collapsed = true;

  },

  AddLiveMatch: function(matchId, youth) {

    if (LiveFox.liveCount >= 10) {

       alert("Cannot watch more than 10 matches!");

       return;

    }

    if (typeof(Match.List["_"+matchId+"_"+youth]) == 'undefined')

    {

      LiveFox.liveCount++;

      Live.HTTPAddMatch(matchId, youth);

      LiveFox.GetMatchDetails(matchId, youth);

    } else if (Match.List["_"+matchId+"_"+youth].live == false) {

      LiveFox.liveCount++;

      Live.HTTPAddMatch(matchId, youth);

    }

  },

  GetMatchDetails: function(matchId, youth) {

    matchDetails.HTTPGet(matchId, youth);

  },

  close: function() {

    // do nothing. unload do the job

  },

  unload: function() {

    LiveFox.Logout();

  }

};















